"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.getDateFromGTFSString = exports.toGTFSDate = void 0;
function toGTFSDate(date) {
    return (date.getFullYear() +
        (date.getMonth() + 1).toString().padStart(2, "0") +
        date.getDate().toString().padStart(2, "0"));
}
exports.toGTFSDate = toGTFSDate;
function getDateFromGTFSString(i) {
    // Zero out the time portion of the date to avoid timezone issues
    return new Date(i.substr(0, 4) + "-" + i.substr(4, 2) + "-" + i.substr(6, 2) + "T00:00:00");
}
exports.getDateFromGTFSString = getDateFromGTFSString;
